Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1334112 - Review Request: pintail - build web sites from plain text markup [NEEDINFO]
Summary: Review Request: pintail - build web sites from plain text markup
Keywords:
Status: CLOSED DUPLICATE of bug 1364194
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zach Oglesby
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1346060
TreeView+ depends on / blocked
 
Reported: 2016-05-08 18:07 UTC by Pete Travis
Modified: 2016-08-04 16:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 16:51:11 UTC
e: needinfo? (me)


Attachments (Terms of Use)

Description Pete Travis 2016-05-08 18:07:01 UTC
Spec URL: https://fedorapeople.org/groups/docs/packages/pintail-0.2-1.fc25.src.rpm
SRPM URL: https://fedorapeople.org/groups/docs/packages/pintail.spec
Description: build web sites from plain text markup
Fedora Account System Username: immanetize

Comment 2 Eduardo Mayorga 2016-07-16 00:50:24 UTC
- Spec file as given by url is not the same as in SRPM. Please update the Spec you provide in Spec URL.

- License text not included. You must include it by using the %license macro.
  See: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

- Upstream changed license from LGPLv2+ to GPLv2+, but they did not update the copyright statement in the beginning of every source code file. Please report this. Also, the COPYING file included in the tarball is LGPLv2, which does not reflect the change in https://github.com/projectmallard/pintail/commit/a15500c3fd936f58bc88f5a8aa47dd365d8414b2

- rpmlint complains:
pintail.noarch: E: explicit-lib-dependency python3-urllib3 -- this is an automatic dependency, no need to add it in the Spec
pintail.noarch: W: summary-not-capitalized -- please use Build web sites...
pintail.noarch: E: description-line-too-long -- no more than 79 characters per line

- Changelog format is not consistent for all entries.

Comment 3 Tummala Dhanvi (c0mrad3) 2016-07-16 11:41:31 UTC
(In reply to Eduardo Mayorga from comment #2)

> - Upstream changed license from LGPLv2+ to GPLv2+, but they did not update
> the copyright statement in the beginning of every source code file. Please
> report this. Also, the COPYING file included in the tarball is LGPLv2, which
> does not reflect the change in
> https://github.com/projectmallard/pintail/commit/
> a15500c3fd936f58bc88f5a8aa47dd365d8414b2
> 
Reported it here https://github.com/projectmallard/pintail/issues/17

Comment 4 William Moreno 2016-07-26 21:04:37 UTC
%py3_build and %py3_install should work since it is a noarch package.

The shebang of:

https://github.com/projectmallard/pintail/blob/master/bin/pintail

Should be:

#!/usr/bin/python3 and not #!/usr/bin/env python3

%description looks like to be a single long line and no split in <80 characters lines.

The file:

https://github.com/projectmallard/pintail/blob/master/pintail/sample.cfg

Should be in %docs.

An by the way

%files
%doc
%{python3_sitelib}/*
%{_bindir}/%{name}

%doc is empy I you must use the %license macro for the COPYING file.

Please use a black line before %changelog

Comment 5 William Moreno 2016-07-26 21:07:37 UTC
From build log in corp:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.Ay244b
+ umask 022
+ cd /builddir/build/BUILD
+ cd pintail-1e00238e3446b199d043742b56d092e7b65aca72
+ /usr/bin/python3 setup.py test
running test
running egg_info
writing top-level names to pintail.egg-info/top_level.txt
writing pintail.egg-info/PKG-INFO
writing namespace_packages to pintail.egg-info/namespace_packages.txt
writing dependency_links to pintail.egg-info/dependency_links.txt
reading manifest file 'pintail.egg-info/SOURCES.txt'
writing manifest file 'pintail.egg-info/SOURCES.txt'
running build_ext
----------------------------------------------------------------------
Ran 0 tests in 0.000s

There are not test in sources so you should remove:


%check
%{__python3} setup.py test

Comment 6 Eduardo Mayorga 2016-07-27 03:23:29 UTC
Any update? If there is no response you, Pete, within one week, I'll close this bug as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews.

Comment 7 William Moreno 2016-07-27 16:33:11 UTC
I can take care of the packaging of these project, I have experience with python packages and I am in the docs team alredy.

Comment 8 Zach Oglesby 2016-08-04 13:35:33 UTC
I do not care what the stalled package guidelines say. We need this package for the docs project to move open, so I am reopening this ticket.

Comment 9 William Moreno 2016-08-04 14:19:07 UTC
(In reply to Zach Oglesby from comment #8)
> I do not care what the stalled package guidelines say. We need this package
> for the docs project to move open, so I am reopening this ticket.

I can take care of this packaging, will update spec and source rpm in this same bug is it fine for you, any way the last spec is not ready yet I can update it.

I am in the docs team any way, can add more comantainers once it is aproved.

Comment 10 William Moreno 2016-08-04 16:51:11 UTC
Please respect packaging guidelines I have opened a new review-request please review it and will add all comantainers needed from de docsteam.

I have anunce it in the docs mailing list:

https://lists.fedoraproject.org/archives/list/docs@lists.fedoraproject.org/thread/YPV46QRTNLFKDS4BPXZFELEVMGJEOKPT/

*** This bug has been marked as a duplicate of bug 1364194 ***


Note You need to log in before you can comment on or make changes to this bug.